{% load static %}
{% load humanize %}
{% load mathfilters %}
{% load custom_tags %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Laporan Rekapitulasi Tagihan</title>
    <style>
        body {
            font-family: 'Times New Roman', Times, serif !important;
            line-height: 1.5 !important;
        }
        @media print {
            thead { 
                display: table-header-group; 
            }
            tfoot {
                display: table-row-group;
            }
            table {
                page-break-inside: auto;
            }
            .table-bordered th, 
            .table-bordered td {
                font-size: 8pt;
                border: 1px solid black !important;
            }
        }
    </style> 
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>
    <div class="d-flex justify-content-center fw-bold" style="font-size: 12pt;">REKAPITULASI TAGIHAN</div>
    <div class="fw-bold d-flex justify-content-center"  style="font-size: 9pt;">PADA SEKRETARIAT DAERAH KABUPATEN DOGIYAI</div>
    <div class="fw-bold d-flex justify-content-center mb-4"  style="font-size: 9pt;">TAHUN ANGGARAN 2025</div>
    {% if tanggal %}<div style="font-size: 9pt;">Pada Tanggal : {{ tanggal|date:"d F Y" }}</div>{% endif %}
    <table class="table table-bordered " style="width: 100%;">
        <thead>
            <tr>
                <th class="text-center align-middle">No</th>
                <th class="text-center align-middle">Tanggal</th>
                <th class="text-center align-middle">SKPD</th>
                <th class="text-center align-middle">Bagian</th>
                <th class="text-center align-middle">Kegiatan</th>
                <th class="text-center align-middle">No SPK</th>
                <th class="text-center align-middle">Urai SPK</th>
                <th class="text-center align-middle">Pihak Ketiga</th>
                <th class="text-center align-middle">Nilai Tagihan</th>
            </tr>
        </thead>
        <tbody>
            {% for data_faktur in list_data_faktur %}
                <tr>
                    <td class="text-center fw-bold">{{ forloop.counter }}</td>
                    <td class="fw-bold">{{ data_faktur.tanggal }}</td>
                    <td class="fw-bold">{{ data_faktur.skpd }}</td>
                    <td class="fw-bold">{{ data_faktur.bagian }}</td>
                    <td class="fw-bold">{{ data_faktur.kegiatan }}</td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td class="fw-bold">{{ data_faktur.total_spk|floatformat:2 }}</td>
                </tr>
                {% for dt_children in data_faktur.children %}
                <tr>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td>{{ dt_children.nospk }}</td>
                    <td>{{ dt_children.uraispk|title }}</td>
                    <td>{{ dt_children.perusahaan|title }}</td>
                    <td>{{ dt_children.total_tagihan|floatformat:2 }}</td>
                </tr>
                {% endfor %}
            {% endfor %}
        </tbody>
        <tfoot>
            <tr>
                <td class="fw-bold" colspan="8">Total Tagihan</td>
                <td class="fw-bold">{{ total_keseluruhan|floatformat:2 }}</td>
            </tr>
        </tfoot>
    </table>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
